Summary:	Multi-session filesystem extension to libisofs, libburn
Summary(pl.UTF-8):	Wielosesyjne rozszerzenie systemu plików do libisofs i libburn
Name:		libisoburn
Version:	1.5.4
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	b14473e8ec31a8ebd8d1c8b1b191908c
Patch0:		%{name}-link.patch
Patch1:		%{name}-info.patch
URL:		https://dev.lovelyhq.com/libburnia/web/wiki
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libburn-devel >= %{version}
BuildRequires:	libisofs-devel >= %{version}
BuildRequires:	libjte-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	readline-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	texinfo
Requires:	libburn >= %{version}
Requires:	libisofs >= %{version}
Requires:	libjte >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libisoburn is a frontend for libraries libburn and libisofs which
enables creation and expansion of ISO-9660 filesystems on all CD/DVD
media supported by libburn. This includes media like DVD+RW, which do
not support multi-session management on media level and even plain
disk files or block devices.

The price for that is thorough specialization on data files in
ISO-9660 filesystem images. So libisoburn is not suitable for audio
(CD-DA) or any other CD layout which does not entirely consist of
ISO-9660 sessions.

%description -l pl.UTF-8
libisoburn to frontend do bibliotek libburn i libisofs umożliwiający
tworzenie i rozszerzanie systemów plików ISO-9660 na wszystkich
nośnikach CD/DVD obsługiwanych przez libburn. Obejmuje to nośniki
takie jak DVD+RW, które nie mają zarządzania wieloma sesjami na
poziomie nośnika, a nawet zwykłe pliki dyskowe czy urządzenia blokowe.

Ceną za to jest całkowite skupienie na plikach danych na obrazach
systemu plików ISO-9660. Przez to libisoburn nie nadaje się do płyt
muzycznych (CD-DA) ani żadnego innego układu CD nie składającego się w
całości z sesji ISO-9660.

%package devel
Summary:	Header files for libisoburn library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libisoburn
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libburn-devel >= %{version}
Requires:	libisofs-devel >= %{version}
Requires:	libjte-devel >= 1.0.0

%description devel
Header files for libisoburn library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libisoburn.

%package static
Summary:	Static libisoburn library
Summary(pl.UTF-8):	Statyczna biblioteka libisoburn
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libisoburn library.

%description static -l pl.UTF-8
Statyczna biblioteka libisoburn.

%package -n xorriso
Summary:	ISO 9660 Rock Ridge Filesystem Manipulator
Summary(pl.UTF-8):	Program do operacji na systemach plików ISO 9660 Rock Ridge
License:	GPL v3+
Group:		Applications
URL:		https://dev.lovelyhq.com/libburnia/web/wiki/Xorriso
Requires:	%{name} = %{version}-%{release}

%description -n xorriso
xorriso copies file objects from POSIX compliant filesystems into Rock
Ridge enhanced ISO 9660 filesystems and allows session-wise
manipulation of such filesystems. It can load the management
information of existing ISO images and it writes the session results
to optical media or to filesystem objects.

Vice versa xorriso is able to copy file objects out of ISO 9660
filesystems.

%description -n xorriso -l pl.UTF-8
xorriso kopiuje obiekty plików z systemów plików zgodnych z POSIX na
systemy plików ISO 9660 z rozszerzeniem Rock Ridge oraz pozwala na
operacje na tych systemach plików w ramach sesji. Potrafi wczytywać
informacje zarządzające z istniejących obrazów ISO i zapisuje wyniki
sesji na nośnik optyczny lub do obiektów systemu plików.

W drugą stronę xorriso potrafi kopiować obiekty plików z systemów
plików ISO 9660.

%package -n xorriso-gui
Summary:	Tcl/Tk based frontend that operates xorriso in dialog mode
Summary(pl.UTF-8):	Oparty na Tcl/Tk interfejs do obsługi xorriso w formie okien dialogowych
License:	BSD
Group:		X11/Applications
URL:		https://dev.lovelyhq.com/libburnia/web/wiki/Xorriso
Requires:	tk
Requires:	xorriso = %{version}-%{release}
Suggests:	tk-BWidget
Obsoletes:	libisoburn-gui < 1.3.4
Obsoletes:	xorriso-tcltk < 1.3.4
BuildArch:	noarch

%description -n xorriso-gui
Tcl/Tk based frontend that operates xorriso in dialog mode.

%description -n xorriso-gui -l pl.UTF-8
Oparty na Tcl/Tk interfejs do obsługi xorriso w formie okien
dialogowych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-pkg-check-modules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n xorriso -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-n xorriso -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libisoburn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libisoburn.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libisoburn.so
%{_libdir}/libisoburn.la
%{_includedir}/libisoburn
%{_pkgconfigdir}/libisoburn-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libisoburn.a

%files -n xorriso
%defattr(644,root,root,755)
%doc xorriso/README_gnu_xorriso xorriso/changelog.txt
%attr(755,root,root) %{_bindir}/osirrox
%attr(755,root,root) %{_bindir}/xorrecord
%attr(755,root,root) %{_bindir}/xorriso
%attr(755,root,root) %{_bindir}/xorriso-dd-target
%attr(755,root,root) %{_bindir}/xorrisofs
%{_mandir}/man1/xorrecord.1*
%{_mandir}/man1/xorriso.1*
%{_mandir}/man1/xorriso-dd-target.1*
%{_mandir}/man1/xorrisofs.1*
%{_infodir}/xorrecord.info*
%{_infodir}/xorriso.info*
%{_infodir}/xorriso-dd-target.info*
%{_infodir}/xorrisofs.info*

%files -n xorriso-gui
%defattr(644,root,root,755)
%doc frontend/README-tcltk
%attr(755,root,root) %{_bindir}/xorriso-tcltk
%{_mandir}/man1/xorriso-tcltk.1*
%{_infodir}/xorriso-tcltk.info*
%changelog
* Sun Mar 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libisoburn.git;a=log;h=master

* Sun Mar 07 2021 Jakub Bogusz <qboosh@pld-linux.org> dd78dc0
- rediffed link patch

* Sat Mar 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 1e76852
- updated to 1.5.4; now uses libjte-2 for zisofs2 support
- xorrisofs-gui seems noarch
- versioned Obsoletes

* Tue Nov 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 5107eac
- updated to 1.5.2

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> dfec0ce
- release 2 (by relup.sh)

* Wed Sep 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 28235d6
- updated to 1.5.0
- updated info patch

* Thu Dec 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 30cd38c
- updated to 1.4.8

* Wed Oct 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 5d3c600
- updated to 1.4.6

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 90e31e1
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> fd73b0c
- updated to 1.4.4

* Mon Nov 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 9e03315
- updated to 1.4.2

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 20ce623
- release 2

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 5012ee7
- fixed xorriso post/postun

* Tue Jun 02 2015 Łukasz Kieś <kiesiu@pld-linux.org> 3d9fa1c
- updated to 1.4.0

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 3625f5d
- info files are in xorriso

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> e46d849
- updated to 1.3.8

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> e84882b
- updated to 1.3.6

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> b2fa9f8
- better pl, xorriso-gui O: xorriso-tcltk

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 2c3532f
- updated to 1.3.4

* Wed Nov 13 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 3f831e0
- Release: 2

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> aad3f0f
- moved libisoburn back to main package
- pl for xorriso

